App\Library\Amazon\Classes\PDA:
    xml_root_name: PDA
    properties:
        computerMemoryType:
            expose: true
            access_type: public_method
            serialized_name: ComputerMemoryType
            accessor:
                getter: getComputerMemoryType
                setter: setComputerMemoryType
            xml_list:
                inline: true
                entry_name: ComputerMemoryType
            type: array<string>
        rAMSize:
            expose: true
            access_type: public_method
            serialized_name: RAMSize
            accessor:
                getter: getRAMSize
                setter: setRAMSize
            type: App\Library\Amazon\Classes\MemorySizeDimensionType
        screenResolution:
            expose: true
            access_type: public_method
            serialized_name: ScreenResolution
            accessor:
                getter: getScreenResolution
                setter: setScreenResolution
            type: string
        colorScreen:
            expose: true
            access_type: public_method
            serialized_name: ColorScreen
            accessor:
                getter: getColorScreen
                setter: setColorScreen
            type: boolean
        operatingSystem:
            expose: true
            access_type: public_method
            serialized_name: OperatingSystem
            accessor:
                getter: getOperatingSystem
                setter: setOperatingSystem
            xml_list:
                inline: true
                entry_name: OperatingSystem
            type: array<string>
        wirelessType:
            expose: true
            access_type: public_method
            serialized_name: WirelessType
            accessor:
                getter: getWirelessType
                setter: setWirelessType
            xml_list:
                inline: true
                entry_name: WirelessType
            type: array<string>
        hardDriveSize:
            expose: true
            access_type: public_method
            serialized_name: HardDriveSize
            accessor:
                getter: getHardDriveSize
                setter: setHardDriveSize
            type: App\Library\Amazon\Classes\MemorySizeDimensionType
        softwareIncluded:
            expose: true
            access_type: public_method
            serialized_name: SoftwareIncluded
            accessor:
                getter: getSoftwareIncluded
                setter: setSoftwareIncluded
            type: string
        memorySlotsAvailable:
            expose: true
            access_type: public_method
            serialized_name: MemorySlotsAvailable
            accessor:
                getter: getMemorySlotsAvailable
                setter: setMemorySlotsAvailable
            type: string
        processorSpeed:
            expose: true
            access_type: public_method
            serialized_name: ProcessorSpeed
            accessor:
                getter: getProcessorSpeed
                setter: setProcessorSpeed
            type: App\Library\Amazon\Classes\FrequencyDimensionType
        processorType:
            expose: true
            access_type: public_method
            serialized_name: ProcessorType
            accessor:
                getter: getProcessorType
                setter: setProcessorType
            type: string
        rOMSize:
            expose: true
            access_type: public_method
            serialized_name: ROMSize
            accessor:
                getter: getROMSize
                setter: setROMSize
            type: App\Library\Amazon\Classes\MemorySizeDimensionType
        screenSize:
            expose: true
            access_type: public_method
            serialized_name: ScreenSize
            accessor:
                getter: getScreenSize
                setter: setScreenSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        additionalFeatures:
            expose: true
            access_type: public_method
            serialized_name: AdditionalFeatures
            accessor:
                getter: getAdditionalFeatures
                setter: setAdditionalFeatures
            type: string
        pDABaseModel:
            expose: true
            access_type: public_method
            serialized_name: PDABaseModel
            accessor:
                getter: getPDABaseModel
                setter: setPDABaseModel
            xml_list:
                inline: true
                entry_name: PDABaseModel
            type: array<string>
